// AccessReportsListView.h : interface of the CAccessReportsListView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ACCESSREPORTSLISTVIEW_H__46A0F2AF_27EA_11D2_8DC5_204C4F4F5020__INCLUDED_)
#define AFX_ACCESSREPORTSLISTVIEW_H__46A0F2AF_27EA_11D2_8DC5_204C4F4F5020__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CAccessReportViewerDoc;

#include "AccessReports.h"

class CAccessReportsListView : public CTreeView
{
protected: // create from serialization only
	CAccessReportsListView();
	DECLARE_DYNCREATE(CAccessReportsListView)

// Attributes
public:
	CAccessReportViewerDoc* GetDocument();

// Operations
public:

protected:
	void FillTreeView();
	CAccessReports* m_pAccessReports;
	CString GetApplicationFolder();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAccessReportsListView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CAccessReportsListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CAccessReportsListView)
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnFilePrint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in AccessReportsListView.cpp
inline CAccessReportViewerDoc* CAccessReportsListView::GetDocument()
   { return reinterpret_cast<CAccessReportViewerDoc*>(m_pDocument); }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ACCESSREPORTSLISTVIEW_H__46A0F2AF_27EA_11D2_8DC5_204C4F4F5020__INCLUDED_)
